workflow:
  rules:
    - if: $CI_COMMIT_BRANCH != "main" && $CI_PIPELINE_SOURCE != "merge_request_event"
      when: never
    - when: always
stages:
  - test

run_unit_tests:
  image: node:17-alpine
  tags:
    - ec2
    - docker
    - remote
  stage: test
  before_script:
    - cd app
    - npm install
  script:
    - npm test

